// pages/record/record.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: null,
    userNo: '', //员工编号
    showIndex: 1,
    data: [],
    startDate:'',
    endDate: '',
    code:0,
    nameList:['代金券核销记录','菜品券核销记录','积分核销记录','积分赠送记录'],
    recordList:[],
    recordType:null,//记录类型
    scrollTop:0,
  },
  curPage:1,//当前页
  showNums:10,//每页显示数量
  getIng:false,
  getEnd:false,
  startTime:'',
  endTime:'',
  /**
   * 获取记录
   */
  getRecord(){
    this.getIng=true;
    var url='',params={};
    var type=this.data.recordType;
    if(type==1){//代金券
      url='admin/self/checkcouponlog'
      params={item_type:1}
    }else if(type==2){//菜品券
      url='admin/self/checkcouponlog'
      params={item_type:2}
    }else if(type==3){//积分核销
      url='admin/self/checkpointlog'
    }else if(type==4){//赠送积分
      url='admin/self/addpointlog'
    }
    Object.assign(params,{begin_date:this.startTime,end_date:this.endTime,cur_page:this.curPage,show_num:this.showNums})
    app.requestGet(url,params,res=>{
      if(res.code==200){
        var list=[];
        if(this.curPage==1){
          list=res.data
        }else{
          list=[...this.data.recordList,...res.data];
        }
        if(res.data.length<this.showNums){
          this.getEnd=true;
        }
        this.setData({
          recordList:list
        })
        this.getIng=false;
      }else{
        this.getIng=false;
      }
    })
  },
  /**
   * 数据到底
   */
  downEvent(){
    if(this.getEnd||this.getIng){
    }else{
      console.log('11111')
      this.curPage++;
      this.getRecord();
    }
  },
  /**
   * 时间筛选
   */
  timeScreen(){
    this.curPage=1;
    this.getIng=false;
    this.getEnd=false;
    this.startTime=this.data.startDate;
    this.endTime=this.data.endDate;
    this.setData({
      scrollTop:0
    })
    this.getRecord()
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    this.setData({
      recordType:options.code
    })
    wx.hideShareMenu();
    if (app.globalData.userInfo) {
      this.setData({
        userInfo: app.globalData.userInfo,
        userNo: app.globalData.storeData.account_id,
        code: options.code-1
      })
    }
    this.getRecord()
  },
  /**
   * 选择开始时间
   */
  bindStartDateChange: function (e) {
    this.setData({
      startDate: e.detail.value
    })
  },
  /**
   * 选择结束时间
   */
  bindEndDateChange: function (e) {
    this.setData({
      endDate: e.detail.value
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
   
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})